import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import 'package:rkm_educa_app/utils/dimensoes.dart';

class ItemModelo extends StatelessWidget {
  String texto;
  String titulo;
  double widthCustom;

  ItemModelo({
    required this.texto,
    required this.titulo,
    this.widthCustom = 0.65
});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          TextCustom(text: titulo,size: 14.0,fontWeight: FontWeight.bold,maxLines: 2,),
          SizedBox(width: 10,),
          Container(
              width: Dimensoes.width*widthCustom,
              child: TextCustom(text: texto,size: 14.0,maxLines: 3,)),
        ],
      ),
    );
  }
}
